Index: src/sas/qtgui/Perspectives/Fitting/UI/GPUOptionsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/GPUOptionsUI.ui	(revision a6cd8d1a828b75a953f9152686a51ac648be67ee)
+++ src/sas/qtgui/Perspectives/Fitting/UI/GPUOptionsUI.ui	(revision ced1bff8b21c8df3cf33ca1d0d50b573f7de9252)
@@ -8,5 +8,5 @@
     <y>0</y>
     <width>440</width>
-    <height>178</height>
+    <height>211</height>
    </rect>
   </property>
@@ -17,6 +17,6 @@
    <property name="geometry">
     <rect>
-     <x>220</x>
-     <y>140</y>
+     <x>120</x>
+     <y>170</y>
      <width>93</width>
      <height>28</height>
@@ -31,5 +31,5 @@
     <rect>
      <x>320</x>
-     <y>140</y>
+     <y>170</y>
      <width>93</width>
      <height>28</height>
@@ -59,6 +59,6 @@
    <property name="geometry">
     <rect>
-     <x>120</x>
-     <y>140</y>
+     <x>220</x>
+     <y>170</y>
      <width>93</width>
      <height>28</height>
@@ -73,5 +73,5 @@
     <rect>
      <x>20</x>
-     <y>140</y>
+     <y>170</y>
      <width>93</width>
      <height>28</height>
@@ -80,4 +80,25 @@
    <property name="text">
     <string>OK</string>
+   </property>
+  </widget>
+  <widget class="QLabel" name="label">
+   <property name="geometry">
+    <rect>
+     <x>20</x>
+     <y>132</y>
+     <width>391</width>
+     <height>37</height>
+    </rect>
+   </property>
+   <property name="font">
+    <font>
+     <pointsize>8</pointsize>
+    </font>
+   </property>
+   <property name="text">
+    <string>WARNING: Running tests can take a few minutes!</string>
+   </property>
+   <property name="alignment">
+    <set>Qt::AlignCenter</set>
    </property>
   </widget>
Index: src/sas/qtgui/Perspectives/Fitting/UI/GPUTestResultsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/GPUTestResultsUI.ui	(revision ced1bff8b21c8df3cf33ca1d0d50b573f7de9252)
+++ src/sas/qtgui/Perspectives/Fitting/UI/GPUTestResultsUI.ui	(revision ced1bff8b21c8df3cf33ca1d0d50b573f7de9252)
@@ -0,0 +1,150 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>GPUTestResults</class>
+ <widget class="QDialog" name="GPUTestResults">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>441</width>
+    <height>439</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>Dialog</string>
+  </property>
+  <widget class="QDialogButtonBox" name="buttonBox">
+   <property name="geometry">
+    <rect>
+     <x>10</x>
+     <y>400</y>
+     <width>411</width>
+     <height>32</height>
+    </rect>
+   </property>
+   <property name="orientation">
+    <enum>Qt::Horizontal</enum>
+   </property>
+   <property name="standardButtons">
+    <set>QDialogButtonBox::Ok</set>
+   </property>
+   <property name="centerButtons">
+    <bool>false</bool>
+   </property>
+  </widget>
+  <widget class="QLabel" name="label">
+   <property name="geometry">
+    <rect>
+     <x>20</x>
+     <y>330</y>
+     <width>401</width>
+     <height>31</height>
+    </rect>
+   </property>
+   <property name="text">
+    <string>If tests fail on OpenCL devices, please select the No OpenCL option.</string>
+   </property>
+   <property name="alignment">
+    <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+   </property>
+  </widget>
+  <widget class="QLabel" name="label_2">
+   <property name="geometry">
+    <rect>
+     <x>20</x>
+     <y>360</y>
+     <width>401</width>
+     <height>41</height>
+    </rect>
+   </property>
+   <property name="text">
+    <string>In the case where many tests are failing, please consider sending the above report to help@sasview.org.</string>
+   </property>
+   <property name="alignment">
+    <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+   </property>
+   <property name="wordWrap">
+    <bool>true</bool>
+   </property>
+  </widget>
+  <widget class="QGroupBox" name="TestResultsBox">
+   <property name="geometry">
+    <rect>
+     <x>20</x>
+     <y>10</y>
+     <width>401</width>
+     <height>321</height>
+    </rect>
+   </property>
+   <property name="title">
+    <string>OpenCL test results</string>
+   </property>
+   <widget class="QLabel" name="resultsText">
+    <property name="geometry">
+     <rect>
+      <x>10</x>
+      <y>20</y>
+      <width>381</width>
+      <height>291</height>
+     </rect>
+    </property>
+    <property name="sizePolicy">
+     <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+      <horstretch>0</horstretch>
+      <verstretch>0</verstretch>
+     </sizepolicy>
+    </property>
+    <property name="frameShape">
+     <enum>QFrame::StyledPanel</enum>
+    </property>
+    <property name="frameShadow">
+     <enum>QFrame::Sunken</enum>
+    </property>
+    <property name="text">
+     <string>TextLabel</string>
+    </property>
+    <property name="alignment">
+     <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+    </property>
+    <property name="wordWrap">
+     <bool>true</bool>
+    </property>
+   </widget>
+  </widget>
+ </widget>
+ <resources/>
+ <connections>
+  <connection>
+   <sender>buttonBox</sender>
+   <signal>accepted()</signal>
+   <receiver>GPUTestResults</receiver>
+   <slot>accept()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>228</x>
+     <y>414</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>157</x>
+     <y>274</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>buttonBox</sender>
+   <signal>rejected()</signal>
+   <receiver>GPUTestResults</receiver>
+   <slot>reject()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>296</x>
+     <y>420</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>286</x>
+     <y>274</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
+</ui>
